{
    "path": "$OET_PATH/testcases/function_test/pkg_test/deepin-dbus-generator/deepin-dbus-generator",
    "machine num": 1,
    "cases": [
        {
            "name": "test_deepin-dbus-generator_dbus-generator_in",
            "desc": "测试使用 -in 参数指定配置文件路径"
        },
        {
            "name": "test_deepin-dbus-generator_dbus-generator_out",
            "desc": "测试使用 -out 参数指定生成代码的目录"
        },
        {
            "name": "test_deepin-dbus-generator_dbus-generator_target",
            "desc": "测试使用 -target 参数指定生成代码的目标语言（QML/PyQt/GoLang）"
        },
        {
            "name": "test_deepin-dbus-generator_function_config",
            "desc": "测试配置文件解析功能"
        }
    ]
}